io.vertx.ext.mongo

## Enum BulkOperationType

- java.lang.Object
- - java.lang.Enum<BulkOperationType>
  - - io.vertx.ext.mongo.BulkOperationType

- All Implemented Interfaces:
    Serializable, Comparable<BulkOperationType>

      public enum BulkOperationType
      extends Enum<BulkOperationType>

  Enum for the different possible operations

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DELETE`
    `INSERT`
    `REPLACE`
    `UPDATE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BulkOperationType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static BulkOperationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UPDATE

          public static final BulkOperationType UPDATE

    - #### REPLACE

          public static final BulkOperationType REPLACE

    - #### INSERT

          public static final BulkOperationType INSERT

    - #### DELETE

          public static final BulkOperationType DELETE

  - ### Method Detail

    - #### values

          public static BulkOperationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BulkOperationType c : BulkOperationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BulkOperationType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2021 Eclipse. All rights reserved.